#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		majver		3.0
#-----------------------------------------------------------------------------
Name		:	gnome-menus
Version		:	3.13.3
Release		:	17.0.10.rel%{?dist}
Summary		:	Documentation utilities for GNOME
Group		:	Development/Tools

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+ and LGPLv2+ and GFDL
URL		:	https://github.com/GNOME/gnome-menus

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	autoconf-archive
BuildRequires	:	gnome-common
#-----------------------------------------------------------------------------
%description
The GNOME Doc Utils package is a collection of documentation utilities
for the GNOME project. Notably, it contains utilities for building
documentation and all auxiliary files in your source tree, and it
contains the DocBook XSLT stylesheets that were once distributed
with Yelp. 

%prep
%setup -q

#---------------------------------------------------------
#building application
%build

./autogen.sh						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_sysconfdir}/xdg/menus/gnome-applications.menu
%{_includedir}/%{name}-%{majver}/gmenu-tree.h
%{_libdir}/libgnome-menu-3.{la,so*}
%{_libdir}/pkgconfig/libgnome-menu-%{majver}.pc
%{_libdir}/girepository-1.0/GMenu-%{majver}.typelib
%{_datadir}/desktop-directories/*.directory
%{_datadir}/gir-1.0/GMenu-%{majver}.gir
%{_datadir}/locale/*/LC_MESSAGES/%{name}-%{majver}.mo

%pre

#after upgrade or remove
%preun

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

%changelog
